View the [managed folders](https://docs.cloud.google.com/storage/docs/managed-folders.md.txt) within a bucket.

## Required permissions

The authenticated user must have the `storage.managedfolders.list`
IAM permission to use this method.

## Request

### HTTP request

```
GET https://storage.googleapis.com/storage/v1/b/bucket/managedFolders
```

In addition to [standard query parameters](https://docs.cloud.google.com/storage/docs/json_api/v1/parameters.md.txt#query),
the following parameters apply to this method.

To see an example of how to include query parameters in a request, see the
[JSON API Overview](https://docs.cloud.google.com/storage/docs/json_api.md.txt#query_parameters) page.

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Query parameters** |||
| `prefix` | `string` | Filter results to managed folders whose names begin with this prefix. |
| `maxResults` | `unsigned integer` | Maximum number of managed folders to return in a single response. The service may return fewer results than `maxResults` so the presence of `nextPageToken` should always be checked. |
| `pageToken` | `string` | A previously-returned page token representing part of the larger set of results to view. The `pageToken` is an encoded field containing the name of the last item (managed folder) in the returned list. In a subsequent request using the `pageToken`, items that come after the `pageToken` are shown (up to `maxResults`). If you start a listing and then create a new managed folder before using a `pageToken` to continue listing, you will not see the new managed folder in subsequent listing results if it is in part of the managed folder namespace already listed. |
| **Path parameters** |||
| `bucket` | `string` | The parent bucket of the managed folder. |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure, where the list
of managed folders are included in the `items` attribute and sorted alphabetically by
order:

```
{
  "kind": "storage#managedFolder"
  "nextPageToken": string,
  "items": [
    managedFolder resources
  ]
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `kind` | `string` | The kind of item this is. For lists of managed folders, this is always `"storage#managedFolders"`. |   |
| `nextPageToken` | `string` | The continuation token. Provide this value as the `pageToken` of a subsequent request in order to return the next page of results. Note that the next page may be empty. If this is the last page of results, then no continuation token is returned. The presence of this parameter in the response should always be checked to ensure a complete listing of all the results. <br /> The `nextPageToken` is the name of the last managed folder in the returned list. In a subsequent list request using the `pageToken`, items that come after the token are shown (up to `maxResults`). |   |
| `items[]` | `list` | The list of [managed folders](https://docs.cloud.google.com/storage/docs/json_api/v1/managedFolder.md.txt). |   |

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.